{% load staticfiles static i18n flatpages %}
<!DOCTYPE html>
<html lang="{{ LANGUAGE_CODE }}">
<head>
    <meta charset="UTF-8">
    <link rel="stylesheet" type="text/css" href="{% static 'bootstrap/css/bootstrap.min.css' %}"/>
    {% block title %}
        <title>Microsocial</title>
    {% endblock %}
    <style>
        body {
            padding-top: 100px;
        }
        .footer > .container-fluid {
            padding-right: 15px;
            padding-left: 15px;
        }
    </style>
</head>
<body>
{% block header %}
    <header>
        <nav class="navbar navbar-default navbar-fixed-top">
            <div class="container-fluid">
                <div class="row">
                    <div class="navbar-header col-md-offset-1 col-md-2">
                        <a href="{% url 'main' %}" class="navbar-brand" style="margin-bottom: 30px">
                            <h1 style="margin: 0">Microsocial</h1>
                        </a>
                    </div>
                    <div class="navbar-text col-md-offset-3 col-md-5">
                        {% if user.is_authenticated %}
                            <a class="navbar-brand" href="{% url 'wall' %}">{% trans 'новости'|capfirst %}</a>
                            <a class="navbar-brand"
                               href="{% url 'profile' user.pk %}">{% trans 'мой профиль'|capfirst %}</a>
                            <a class="navbar-brand" href="{% url 'friends' %}">{% trans 'друзья'|capfirst %}</a>
                            <a class="navbar-brand" href="{% url 'messages' %}">{% trans 'сообщения'|capfirst %}</a>
                            <a class="navbar-brand" href="{% url 'search' %}">{% trans 'поиск людей'|capfirst %}</a>
                            <a class="navbar-brand" href="{% url 'logout' %}">{% trans 'выход'|capfirst %}</a>
                        {% endif %}
                    </div>
                    <div class="navbar-text navbar-right col-md-1">
                        <form action="{% url 'set_language' %}" method="post">
                            {% csrf_token %}
                            <input name="next" type="hidden" value="{{ redirect_to }}"/>
                            <select name="language">
                                {% get_language_info_list for LANGUAGES as languages %}
                                {% for language in languages %}
                                    <option value="{{ language.code }}"{% if language.code == LANGUAGE_CODE %} selected="selected"{% endif %}>
                                        {{ language.code }}
                                    </option>
                                {% endfor %}
                            </select>
                            <input type="submit" class="btn btn-reverse" value="{% trans 'ок'|capfirst %}"/>
                        </form>
                    </div>
                </div>
            </div>
        </nav>
    </header>
{% endblock %}

{% block context %}
{% endblock %}

{% block footer %}
    <footer class="footer navbar-fixed-bottom navbar-default">
        <div class="container-fluid text-center">
            {% get_flatpages as flatpages %}
            {% for fp in flatpages %}
                {% if LANGUAGE_CODE in fp.url %}
                    <a href="{{ fp.url }}">{{ fp.title }}</a>
                {% endif %}
            {% endfor %}
            <p>{% now 'Y' %} &copy; Microsocial</p>
        </div>
    </footer>
{% endblock %}

<script src="https://code.jquery.com/jquery-2.2.4.min.js" integrity="sha256-BbhdlvQf/xTY9gja0Dq3HiwQF8LaCRTXxZKRutelT44=" crossorigin="anonymous"></script>
<script src="{% static 'bootstrap/js/bootstrap.min.js' %}"></script>
</body>
</html>